Skip to main content

private/user-balance-history

POST 

/private/user-balance-history

Returns the user's balance history. This call may temporarily have discrepancies with that shown on the GUI.

Request

Body

required
    id int64required

    Request id (echoed in response)

    method stringrequired

    Must be "private/user-balance-history"

    api_key stringrequired

    Your API key (only required for private REST)

    sig stringrequired

    HMAC-SHA256 signature in hex (only required for private REST)

    nonce int64required

    Current timestamp in milliseconds, e.g. "1771761038000".

    params objectrequired
    timeframe Timeframe (string)

    Possible values: [H1, D1]

    H1 = hourly, D1 = daily

    end_time int64

    Can be millisecond or nanosecond. Exclusive, e.g. "1771761038000" or "1771761038000000000". If not provided, will be current time.

    limit int32

    If timeframe is D1, max limit will be 30 (days). If timeframe is H1, max limit will be 120 (hours).

Success.
Schema
    id int64

    Echoed request id

    method string

    Method invoked

    code int32

    0 = success; non-zero indicates error (reason code).

    result object
    Present when code === 0. instrument_name, data[] with t (timestamp), c (total cash balance); optional i.
    instrument_name string

    Instrument name of the balance e.g. USD

    data object[]
  • Array [
  • t int64

    Timestamp (ms).

    c decimal

    Total cash balance.

  • ]
  • message string

    Present when code !== 0.

    original string

    Present when code !== 0.